const webpack = require("webpack");

module.exports = {
  entry: {
    main: "./src/index.tsx",
  },
  resolve: {
    extensions: [".js", ".ts", ".tsx"],
  },
  module: {
    rules: [
      {
        test: /\.js$/,
        enforce: "pre",
        use: ["source-map-loader"],
      },
      {
        test: [/\.tsx?$/],
        loader: "ts-loader",
      },
    ],
  },
  plugins: [
    new webpack.DefinePlugin({
      "process.env": {}, // react-admin bundles node code
    }),
  ],
  devtool: "eval-source-map",
  devServer: {
    publicPath: "/dist/",
  },
};
